modules <- list(
  mod_import_rds_ui = mod_import_rds_ui,
  mod_import_rds_server = mod_import_rds_server,
  mod_export_ph_ui = mod_export_ph_ui,
  mod_export_ph_server = mod_export_ph_server,
  mod_qc_ui = mod_qc_ui,
  mod_qc_server = mod_qc_server,
  mod_da_ui = mod_da_ui,
  mod_da_server = mod_da_server,
  mod_ds_ui = mod_da_ui,
  mod_ds_server = mod_da_server,
  mod_import_feature_ui = mod_import_feature_ui,
  mod_import_feature_server = mod_import_feature_server,
  mod_import_concat_ui = mod_import_concat_ui,
  mod_import_concat_server = mod_import_concat_server,
  mod_extract_sce_ui = mod_extract_sce_ui,
  mod_extract_sce_server = mod_extract_sce_server
)


associated_name <- list(
  "mod_correct_batch" = "Batch Correction",
  "mod_extract_sce" = "Extract Clustering Features",
  "mod_import_feature" = "Import Features",
  "mod_import_concat" = "Import Concatenated FCS",
  "mod_qc" = "Quality Control",
  "mod_da" = "Differential Abundance",
  "mod_ds" = "Differential State",
  "mod_import_rds" = "Import R Object",
  "mod_export_ph" = "Export to Phantasus"
)

correspondance_selector <- list(
  "title" = character(),
  # "current_owner" = analycyte.projects:::new_projects_author(),
  # "stage" = analycyte.projects:::new_projects_stage(),
  # "impact" = numeric(),
  "status" = character(),
  "short_title" = character(),
  # "authors" = analycyte.projects:::new_projects_author(),
  # "corresp_auth" = analycyte.projects:::new_projects_author(),
  # "creator" = analycyte.projects:::new_projects_author(),
  # "deadline_type" = character(),
  "deadline" = lubridate::as_datetime(character()),
  "id" = integer(),
  "folder_name" = character(),
  # "parent_directory"= character(),
  # "make_directories" = logical(),
  # "template_folder"= character(),
  # "path" = character(),
  "department_name" = character(),
  "institution_name" = character(),
  # "address" = character(),
  "given_names" = character(),
  "last_name" = character(),
  # "affiliations"= integer(),
  # "degree" = character(),
  "email" = character(),
  "phone" = character(),
  # "project" = integer(),
  # "SID" = integer(),
  "label" = character(),
  "comment" = character(),
  # "ToID" = double(),
  # "input_hash_tag" = character(),
  "output_type" = analycyte.projects:::new_steps_filetype(),
  "transf_locked" = logical(),
  "has_clusters" = logical(),
  "has_reddims" = logical(),
  "archived" = logical(),
  "error_message" = character()
)
