
# analycyte

<!-- badges: start -->
<p align="center" style="display: flex; align-items: center;vertical-align: middle; ">
<img src="inst/app/www/hex-AnalytiCyte.ico" alt="analycyte" width="50" style="margin-right: 10px;">
<a href="https://CRAN.R-project.org/package=analycyte">
<img src="https://www.r-pkg.org/badges/version/analycyte" alt="CRAN status" style="margin-right: 5px;">
</a> <a href="https://lifecycle.r-lib.org/articles/stages.html#stable">
<img src="https://img.shields.io/badge/lifecycle-stable-brightgreen.svg" alt="Lifecycle: stable">
</a>
</p>
<!-- badges: end -->

## Installation

To effectively utilize the R `analycyte` package, it’s essential to
first install two additional packages: `analycyte.utils` and
`analycyte.projects`. The analycyte.utils package is critical as it
encompasses the functions necessary for generating reports. Meanwhile,
the analycyte.projects package is instrumental in providing access to
the databases associated with each project, as well as enabling the
versioning of the analysis reports.

``` r
remotes::install_git("https://gitcrcm.marseille.inserm.fr/lohmann/analycyte.utils")
remotes::install_git("https://gitcrcm.marseille.inserm.fr/lohmann/analycyte.projects")
```

Once these packages have been installed, you can obtain the development
version of analycyte with :

``` r
remotes::install_git("https://gitcrcm.marseille.inserm.fr/lohmann/analycyte")
```

## Deployement

You can deploy the application (and its dependencies) using Docker and
the following git repo:
<https://gitcrcm.marseille.inserm.fr/lohmann/deploy>
