(list_of_results <- list(
  edgeR = significant,
  voom = significant_voom,
  GLMM = significant_GLMM)
  )

df %>%
  tibble::rownames_to_column("rowname") %>%
  tidyr::separate(col = "rowname", into = c("analysis", "cluster"), sep = "\\.")rank_cluster<- function(list_of_results){
  
  do.call(rbind, lapply(list_of_results, function(x) data.frame(value = x))) -> df
  
  # Split the rownames by `.`
  df_annot <- df %>%
    rownames_to_column("rowname") %>%
    separate(col = "rowname", into = c("analysis", "cluster"), sep = "\\.")
  
  df_annot%>%
    group_by(cluster)%>%
    mutate(count = n())%>%
    arrange(desc(count), value)%>%
    pull(cluster)%>%unique()
  
  
  
}

