inline_notification_item <- function(text, icon = "warning", color = "", class = "") {
  shiny::tags$span( # using span instead of div to make it inline
    class = "item",
    style = "display: inline-block;", # making sure it's displayed inline
    shiny::tags$span(
      class = paste("custom-label ", color),
      shiny::tags$i(class = class),
      text
    )
  )
}


is.empty <- function(x) {
  is.null(x) ||
    (is.character(x) && x == "") ||
    (is.numeric(x) && (is.na(x) || x == 0))
}
