$(document).ready(function() {
    var isSidebarOpen = false;

    $('#historyToggle').on('click', function() {
        // Toggle the sidebar state
        if (isSidebarOpen) {
            $('#rightSidebar').removeClass('active').addClass('inactive');
            $('#main-content').css('margin-right', '0');
            $("#historyArrow").text(String.fromCharCode(0xf105));  // Replaces ">"
        } else {
            $('#rightSidebar').removeClass('inactive').addClass('active');
            $('#main-content').css('margin-right', '250px');
            $("#historyArrow").text(String.fromCharCode(0xf107));  // Replaces "v"
        }
        
        isSidebarOpen = !isSidebarOpen;
        Shiny.setInputValue('isSidebarOpen', isSidebarOpen);
    });
});

  Shiny.addCustomMessageHandler('closeTab', function(message) {
    window.close();
  });
  
  $(document).on('shiny:connected', function(event) {
  Shiny.addCustomMessageHandler("toggleInTablesMenu", function(message) {
    if (message === true) {
      $(".element_hee").show();
    } else {
      $(".element_hee").hide();
    }
  });
});





function table_module_js(ns_prefix) {

  $("#" + ns_prefix + "table").on("click", ".delete_btn", function() {
    Shiny.setInputValue(ns_prefix + "id_to_delete", this.id, { priority: "event"});
    $(this).tooltip('hide');
  });

  $("#" + ns_prefix + "table").on("click", ".edit_btn", function() {
    Shiny.setInputValue(ns_prefix + "id_to_edit", this.id, { priority: "event"});
    $(this).tooltip('hide');
  });
}



